com.ibm.openpages.api.resource

## Interface IDeletedResource

-     public interface IDeletedResource

  Represents a deleted GRC resource instance.

  Since:
    8.0.0.1

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Date` | `getCreationDate()` Returns the creation date of this resource.
    `Id` | `getCreator()` Returns the creator id of this resource.
    `java.lang.String` | `getDescription()` Returns the description of this resource.
    `Id` | `getId()` Returns the Id of this resource.
    `Id` | `getLastModifiedBy()` Returns the user id who last modified this resource.
    `java.util.Date` | `getModifiedDate()` Returns the last modified date of this resource.
    `java.lang.String` | `getPath()` Returns the full path of this resource.
    `Id` | `getTypeDefinitionId()` Returns the type definition id for this resource.
    `boolean` | `isFolder()` Determines whether the resource is a folder.

- - ### Method Detail

    - #### getDescription

          java.lang.String getDescription()

      Returns the description of this resource.
      Returns:
        the description of this resource

    - #### getPath

          java.lang.String getPath()

      Returns the full path of this resource.
      Returns:
        the full path of this resource

    - #### getId

          Id getId()

      Returns the Id of this resource.
      Returns:
        the Id of this resource

    - #### isFolder

          boolean isFolder()

      Determines whether the resource is a folder.
      Returns:
        true if the resource is a folder, otherwise false

    - #### getCreator

          Id getCreator()

      Returns the creator id of this resource.
      Returns:
        the creator id of this resource

    - #### getCreationDate

          java.util.Date getCreationDate()

      Returns the creation date of this resource.
      Returns:
        the creation date of this resource

    - #### getModifiedDate

          java.util.Date getModifiedDate()

      Returns the last modified date of this resource.
      Returns:
        the last modified date of this resource

    - #### getLastModifiedBy

          Id getLastModifiedBy()

      Returns the user id who last modified this resource.
      Returns:
        the user id who last modified this resource

    - #### getTypeDefinitionId

          Id getTypeDefinitionId()

      Returns the type definition id for this resource.
      Returns:
        the type definition id for this resource

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2021. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.